Name:           libxfce4menu
Version:        4.5.92
Release:        1%{?dist}
Summary:        A freedesktop.org compliant menu implementation for Xfce

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.xfce.org/
Source0:        http://www.xfce.org/archive/xfce-%{version}/src/libxfce4menu-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: libxfce4util-devel >= 4.5.92

%description
libxfce4menu is a freedesktop.org compliant menu library written for Xfce. 
It implements the Desktop Menu Specification version 1.0

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}-0.1

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}-0.1.lang
%defattr(-,root,root,-)
%doc AUTHORS HACKING COPYING NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/gtk-doc/html/libxfce4menu
%{_libdir}/pkgconfig/%{name}-0.1.pc

%changelog
* Tue Dec 23 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-1
- Initial packaging for Fedora
